- Home
- Resources
- Global Layer visibility admin API
HDC Global layer visibility Web Service
GET /admin/layervisibility/hide/{layerId}
Hide global layer
Try it out!
Request Parameters
| name |
type |
description |
default |
constraints |
| layerId |
path |
layer to be set with restrictions |
|
long |
Response Body
| media type |
data type |
description |
| application/json |
HdcSuccessTO
(JSON) |
JSON Response indicating where operation was successfully or not |
GET /admin/layervisibility/setindex/{layerId}
Set visibility index for global layer
Try it out!
Request Parameters
| name |
type |
description |
default |
constraints |
| layerId |
path |
layer to be set with restrictions |
|
long |
| zindex |
query |
valoue ofg order index to be set |
0 |
long |
Response Body
| media type |
data type |
description |
| application/json |
HdcSuccessTO
(JSON) |
JSON Response indicating where operation was successfully or not |
GET /admin/layervisibility/show/{layerId}
Show hidden global layer
Try it out!
Request Parameters
| name |
type |
description |
default |
constraints |
| layerId |
path |
layer to be set with restrictions |
|
long |
Response Body
| media type |
data type |
description |
| application/json |
HdcSuccessTO
(JSON) |
JSON Response indicating where operation was successfully or not |